curl --request PATCH \
--url https://api.contracting.kukkingu.software/api/v1/clients/{clientId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'tenant-id: <tenant-id>' \
--data '
{
"name": "Acme Corporation",
"description": "A leading provider of road runner deterrents.",
"order": 13,
"media": [
{
"assetId": "<string>",
"order": 1
}
]
}
'import requests
url = "https://api.contracting.kukkingu.software/api/v1/clients/{clientId}"
payload = {
"name": "Acme Corporation",
"description": "A leading provider of road runner deterrents.",
"order": 13,
"media": [
{
"assetId": "<string>",
"order": 1
}
]
}
headers = {
"tenant-id": "<tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'tenant-id': '<tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Acme Corporation',
description: 'A leading provider of road runner deterrents.',
order: 13,
media: [{assetId: '<string>', order: 1}]
})
};
fetch('https://api.contracting.kukkingu.software/api/v1/clients/{clientId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "clnt_z2b3mo8qa5kzptgsu26q2wmh",
"name": "Acme Corporation",
"createdAt": "2023-10-05T14:48:00.000Z",
"updatedAt": "2023-10-05T14:48:00.000Z",
"media": [
{
"attachmentId": "<string>",
"slot": "logo",
"order": 123,
"assetId": "ast_z2b3mo8qa5kzptgsu26q2wmh",
"kind": "BRANDING_LOGO",
"status": "PENDING",
"url": "/api/v1/assets/ast_z2b3mo8qa5kzptgsu26q2wmh"
}
],
"description": "A leading provider of road runner deterrents.",
"order": 13
}
}{
"error": "ValidationError",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>",
"constraint": "<string>"
}
]
}{
"error": "Unauthorized",
"message": "Unauthorized"
}{
"error": "Forbidden",
"message": "Forbidden"
}{
"error": "NotFound",
"message": "Not Found"
}Partially update client
Partially updates an existing client by its ID.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Specifies the tenant context for the request. All endpoints operate within this tenant scope.
"tnt_pfh0haxfpzowht3oi213cqos"
Path Parameters
Unique identifier of the client.
1"clnt_z2b3mo8qa5kzptgsu26q2wmh"
Body
Request body used to partially update an existing client resource.
Request body used to partially update an existing client resource.
The name of the client.
1 - 255"Acme Corporation"
Additional information describing the client.
1024"A leading provider of road runner deterrents."
Order of the resource for sorting purposes.
0 <= x <= 900719925474099113
Media attachment commands for an owning resource.
Show child attributes
Show child attributes
Response
Default Response
Standard success response payload wrapped in a data property.
Client resource returned by the API.
Show child attributes
Show child attributes